package emps;

import java.util.Comparator;
import java.util.List;

public class P6_Sortowanie_v2 {

	// W tej wersji oobiekt Comparator tworzymy za pomocą konstrukcji "klasa anonimowa".
	public static void main(String[] args) {
		List<Employee> emps = ObslugaCSV.wczytaj();
		emps.sort(new Comparator<>() {
			public int compare(Employee emp1, Employee emp2) {
				return emp2.getSalary() - emp1.getSalary();
			}
		});
		
		for(Employee emp : emps) {
			System.out.printf("|%-12s|%-15s|%-31s|%6d |%-20s|\n",
					emp.getFirstName(), emp.getLastName(), emp.getJobTitle(), emp.getSalary(), emp.getCity());
		}
	}

}
